package entity

import "leafdev.top/Ecosystem/recommender/internal/schema"

type User struct {
	Id    schema.EntityId `gorm:"primarykey" json:"id"`
	Title string          `json:"name"`
}

func (u *User) TableName() string {
	return "users"
}

type UserLike struct {
	UserId schema.UserId       `gorm:"primarykey" json:"user_id"`
	PostId schema.EntityId     `gorm:"primarykey" json:"post_id"`
	Type   schema.UserLikeType `json:"type"`
}

func (u *UserLike) TableName() string {
	return "user_likes"
}

type UserTagScore struct {
	UserId schema.UserId   `gorm:"primarykey" json:"user_id"`
	TagId  schema.EntityId `gorm:"primarykey" json:"tag_id"`
	Tag    *Tag
	Score  int `json:"score"`
}

func (u *UserTagScore) TableName() string {
	return "user_tag_scores"
}
